09.10.2014 12:55    

özkan-wien
yok bu kez olmadi. ben belirli bi text stringi degilde herhangi text stringi silmek istiyorum. Yani text objesinin basindan 20 karakteri ucurmak istiyorum, degistirmek degil. Yinede tesekkür ederim Seboli61

09.10.2014 13:26    

Travaci
Uçurması için yeni karekteri boş geçsen olmuyor mu : )

09.10.2014 15:00    

özkan-wien
Travaci lisple cözemedim excelde cözdüm napiyim. :-)
ilk 46 karaktersiz karakteri siliyorum sonra geri Autocade geliyorum.
=Right(Tabelle1!A1;Lang(Tabelle1!A1)-46)

13.10.2014 10:12    

osmansonmezay
Merhabalar,

lisp uygulamalarını yüklemek için; appload komutunu çalıştırmak için ap+enter yapıyorum gerekli komut açılmıyor.
manage bölümünden Load Application komutunuda bulamıyorum ne yapmalıyım lisp yüklemek için?
AutoCad LT 2013 sürümü kullanıcısıyım.

Teşekkürler....

13.10.2014 10:17    

Travaci
Lt sürümlerde lisp kullanamazsınız.

13.10.2014 10:38    

osmansonmezay
Alıntı
Travaci :
Lt sürümlerde lisp kullanamazsınız.



Verdiğiniz bilgi için teşekkürler...

28.10.2014 15:04    

alumina
Ehya, ProhibiT hocalarimiz ve diğer tum arkadaslarin dikkatine;
Istanbul'da alüminyum giydirme isi ile ilgilenen mimarim. Aluminyum giydirme konusunda profesyonel seviyede lisp kodlari yazıyorum. Sizden ricam asagida yazdigim lisp kodu ile ilgilidir. Ilgilenirseniz cok memnun olurum.

Kodun ozelligi;
Cizim ekraninda herhangi bir nesne secildiginde bu nesnenin ASSOC veri tabani kodlarini alt alta siralar.

Sorun;
Bu kod REGION ve 3DSOLID nesnelerde kullanildigi zaman ASSOC veri tabani kodlarini vermiyor.

Istek;
REGION ve 3DSOLID nesnelerin ASSOC veri tabani kodlarina nasil ulaşabilirim?

Sonuc;
Bu sorunu giderebilirseniz lisp konusunda inanilmaz seviyede onumu acmis olacaksiniz.

Simdiden cok tesekkur ederim.

(defun error(s)
(if
(equal s "Function cancelled")
(prompt "Program sonlandirildi.."))
(setvar "osmode" 4607)
(princ))

(defun c:rt()
(setq olderror *error*)
(setq *error* error)
(setvar "cmdecho" 0)
(setq nesne_secim (entsel "\nNesne seciniz:"))
(while
(null nesne_secim)
(setq nesne_secim (entsel "\nNesne seciniz:")))
(prompt (strcat "\n" "\n"))
(setq nesne_secim_data (entget (car nesne_secim)))
(repeat (length nesne_secim_data)
(princ (car nesne_secim_data))
(prompt (strcat "\n"))
(setq nesne_secim_data (cdr nesne_secim_data)))
(textscr)
(setq *error* olderror)
(princ))

28.10.2014 15:12    

Travaci
alumina


Hangi değerlere ulaşmaya çalışıyorsunuz ? belki başka türlü ulaşabiliriz.
Sormadan edemicem, profesyonel seviyede lisp yazıyorsanız yukarıdaki error trap, cmdecho, osmode ve diğer kısmlar ne için ?

Kod:

(defun c:info (/ in)
  (if (setq in (entsel))
    (progn (textpage) (terpri)
      (foreach ep (entget (car in)) (print ep)) (princ "\n"))) (princ))

28.10.2014 16:02    

ehya
Dxf kodları ile 3dsolid ve region gibi nesnelerin veritabanlarına ulaşamazsınız. VisualLisp ile belirli bir seviyede bilgiye ulaşabilirsiniz.

28.10.2014 18:31    

alumina
Travaci;
error modulu bu module ozel değildir. Benim kullandigim butun modullerin tamami tek bir dosyadadır (550 Mb) ve butun modullerde her hangi bir anda modülden cikis yapilirsa hata vermesin ve cikarkende "osmode" u 4607'ye kurmasi için yazilmistir. Siz kisa yoldan yazabilirsiniz bir sey demiyorum, ama ben hiç bir modülde foreach kullanma ihtiyaci hissetmedim. Bundan sonra kullanirim :)
Ama sen yinede bir kelimeye bu kadar takılma. Herkes senin kadar yazamaz tamam. Neyse modulu apload ettiğinde promptta neler verdiğini gormusundur. Ornegin bir "line" nesnesi için asagidaki sonuçlar verilir. REGION ve 3DSOLID içinde ayni sonuclari verebilecek bir koda ihtiyacm var. Özelliklede koordinatlari lazim.

(-1 . <Entity name: 7ffff705b50>)
(0 . LINE)
(330 . <Entity name: 7ffff7039f0>)
(5 . 22D)
(100 . AcDbEntity)
(67 . 0)
(410 . Model)
(8 . 0)
(100 . AcDbLine)
(10 500.0 100.0 0.0)
(11 750.0 100.0 0.0)
(210 0.0 0.0 1.0)

29.10.2014 10:46    

alumina
Ehya hocam;
REGION ve 3DSOLID icin bahsettiginiz VisualLisp kodunu paylasirmisiniz.

29.10.2014 11:25    

ehya
Kod:

(vl-load-com)
(setq a (car (entsel)))
(vlax-dump-object (vlax-ename->vla-object a))

29.10.2014 22:40    

Travaci
alumina


Yok estağfurullah kimseden iyi yazdığım yok, sadece öğreniyorum. Profosyonel olan sizsiniz. Evet error trap fonksiyonunu başka fonksiyon için yazmış olabilirsiniz ama yukarudaki kod için neden böyle birşeye ihtiyaç olsun ? Ne hata alıcak bi durum var, ne osmode u değiştirmeye gerek nede kullanılmayan command için cmdecho yu kapamaya ; ) Txt dosyaları için 550 mgb gibi bir boyut ilginç doğrusu :dozingoff

30.10.2014 00:19    

alumina
550 Kb yazacaktim :)

31.10.2014 17:54    

alumina
Arkadaslar;
Excel'in herhangi bir hücresinden veri okumasi yaptirdigimda eger hücre içerisinde formül varsa formulu okuyor. Ben formulu değil formulun sonucunu (yani formulun hesapladigi değeri) okumasini istiyorum. Bir yolu var mi?

13.12.2014 21:56    

alumina


Linkleri görebilmek için ÜYE olmalısınız.

06.01.2015 12:56    

BLack|E
Herkese kolay gelsin.
Yaptığımız işte delik çaplarına uyumlu delik sembolleri atamaktayız. Atadığımız delik sembolleri o çapı temsil etmektedir ve delik sembolleri blok'ludur. Delik sembolünü seçip, referans noktasını belirleyip (genelde delik sembolünün merkezi oluyor). Sonra tüm Ø17.5 çaplı delikleri seçip. Delik sembolünün olması gereken yeri deliklerin ortasına merkezli kopyalayabilen bir lisp yazılabilirmi. Şimdiden ilgi ve alakanız için teşekkür ederim.
Ekteki delik çapı Ø17.5 gördüğünüz sembolde Ø17.5 çapı temsil etmektedir.

BLack|E (06.01.2015 13:23 GMT)

06.01.2015 14:31    

alumina
eski delikler silinecek mi yoksa kalacak mi? resimde kaliyor gibi gorunuyor.

06.01.2015 15:11    

BLack|E
Resimde silmemiş tim durumu göstermek için ama silinecek. Bir şey hatırlatmak isterim. Delik çapları sadece Ø17.5 kullanmıyoruz. Ø13.5, Ø15.5 Ø21.5, Ø23.5, Ø25.5 Ø32 vs. diye çeşitler artıyor. Bilginiz olsun.

BLack|E (06.01.2015 15:16 GMT)

06.01.2015 15:33    

BLack|E
Şöyle hayal ediyorum. ama akıl vermek gibi algılamayın lütfen. Autolisp bana soruyor. delik sembolünü seçiniz. bende delik sembolünü seçtikten sonra. Bana delik sembolünü hangi çap daki daire/lerin içine sembolü ilişkilendireceğimi soruyor. Bende sembol ile değiştirmek istediğim delik çapını giriyorum. Karışık çizimlerin olduğu çizimi seçiyorum. Enter dedikten sonra bu çizim grubunda çapını belirttiğim delikler silinip, yerine benim seçtiğim delik sembolü merkezli olarak silinen deliklerin merkezine ilişkilendirilmiş olacak.

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] > 34 < [35] [40] [42] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.883 saniye - Sorgu: 98 - Ortalama: 0.01922 saniye